import { useSelector } from "react-redux";
import { Gender, genders } from "../data/data";
import { selectors } from "@/store";

export function useGenderInfo(): Gender | undefined {
  const currentGender = useSelector(selectors.selectQuestionnaire).gender;
  const infoGender = genders.find((g) => g.id === currentGender);

  return infoGender;
}
